#ifndef dlgParseBenutzerH
#define dlgParseBenutzerH
//---------------------------------------------------------------------------

#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <IPPeerClient.hpp>
#include <REST.Backend.MetaTypes.hpp>
#include <REST.Backend.ParseProvider.hpp>
#include <REST.Backend.ParseServices.hpp>
#include <REST.Backend.Providers.hpp>
#include <REST.Backend.ServiceComponents.hpp>
#include <REST.Backend.ServiceTypes.hpp>
#include <REST.OpenSSL.hpp>
#include <System.JSON.hpp>
//---------------------------------------------------------------------------

class TFormParseBenutzer : public TForm
{
__published:	// Von der IDE verwaltete Komponenten
	TParseProvider *ParseProvider;
	TBackendUsers *BackendUsers;
	TEdit *edtUsername;
	TEdit *edtPasswort;
	TEdit *edtEMail;
	TLabel *Label1;
	TLabel *Label2;
	TLabel *Label3;
	TButton *btnRegistrieren;
	TEdit *edtUsernameLogin;
	TEdit *edtPasswortLogin;
	TLabel *Label4;
	TLabel *Label5;
	TButton *btnLogin;
	void __fastcall btnRegistrierenClick(TObject *Sender);
	void __fastcall btnLoginClick(TObject *Sender);
private:	// Benutzer-Deklarationen
public:		// Benutzer-Deklarationen
	__fastcall TFormParseBenutzer(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TFormParseBenutzer *FormParseBenutzer;
//---------------------------------------------------------------------------
#endif
